Author Topic: Solved: Update to 2.3 not working on 600D  (Read 12971 times)

ingoism

  • New to the forum
  • *
  • Posts: 7
Solved: Update to 2.3 not working on 600D
« on: September 13, 2012, 10:46:20 AM »
Hello,

This is my first post here, so as a quick introduction: I'm a German hobby photographer (and beginning video filmer) shooting with a Canon 600D. I have been using Magic Lantern for more than a year now, with much success.

I now wanted to update to version 2.3, but am not able to do that. Here is what I did and what (I think) went wrong. I would be very glad if someone here on the forum had an idea what I did wrong.

1. I updated the firmware of my 600D from 1.0.1 to 1.0.2. I used the firmware file provided by Canon Germany (http://www.canon.de/Support/Consumer_Products/products/cameras/Digital_SLR/EOS_600D.aspx?DLtcmuri=tcm:83-901715&page=1&type=download) and followed the instructions. The update went alright and afterwards the camera would boot up without memory card, shwoing firmware 1.0.2 in the menu. What struck me was that the camera would also boot up with a new, freshly formatted memory card without bootability and autoexec.bin.
2. I then started to follow the update steps described here: http://wiki.magiclantern.fm/install#updating_magic_lantern. Took one of my cards with old ML on, formatted it on the PC (with card reader), inserted it into the 600D to format it there (because with old ML on it, the camera would not boot, but the card light flash continuously after putting the card in the camera). Then I put the card back into the PC, copied the ML files into its root and made it bootable using EOSCard 1.1. Putting this card into the 600D however only gave me the continuous card light flashing after inserting it. Only battery removal helped.
3. Next thing I tried was a fresh install, using the new SD card, formatted in the camera and with nothing else on it. Put it into the PC and copied the ML files. Put the card back in the camera and choose firmware update. The screen saying that the updates were loading appeared briefly, then the screen truned black. The card light started blinking slowly at long intervals and kept on doing that. Only battery remove helped.
4. After all this, the camera still works fine with new cards but any attempts to install ML failed. I also repeated the Canon firmware update, albeit with no results.

I can imagine that it has to do with the camera firmware versions. There are seemingly contradictory statements in the ML documentation. In the Install guide here (http://wiki.magiclantern.fm/install) it says to upgrade to v1.0.2 for the 600D, pointing to Canon US for download. In the PDF file coming with ML it says v1.0.1, pointing to Canon UK. Same in the German install guide here: http://magiclantern.wikia.com/wiki/Unified/Install/DE. Again, I used v1.0.2 downloaded from the German mirror.

What I did not try (because I am a bit afraid of possible consequences) was updating to 1.0.2 from the US mirror or somehow attempting a role back to 1.0.1.

I hope this is enough information to be able to help, otherwise just let me know. I am certainly not a support forum pro  :).

Thanks!

ingoism

a1ex

  • Administrator
  • Hero Member
  • *****
  • Posts: 12457
Re: Update to 2.3 not working on 600D
« Reply #1 on: September 13, 2012, 10:47:59 AM »
The install instructions will tell you to use the US mirror.

The PDF links to 1.0.2 firmware, just checked.

nanomad

  • Administrator
  • Hero Member
  • *****
  • Posts: 2918
  • All your websites are belong to us
Re: Update to 2.3 not working on 600D
« Reply #2 on: September 13, 2012, 11:09:39 AM »
The wikia is not updated anyomre, refer to the PDF or the Documentation link here on magiclantern.fm
EOS 1100D | EOS 650 (No, I didn't forget the D) | Ye Olde Canon EF Lenses ('87): 50 f/1.8 - 28 f/2.8 - 70-210 f/4 | EF-S 18-55 f/3.5-5.6 | Metz 36 AF-5

ingoism

  • New to the forum
  • *
  • Posts: 7
Re: Update to 2.3 not working on 600D
« Reply #3 on: September 13, 2012, 11:13:20 AM »
Hi nanomad and alex, thanks for the quick reply. OK, so I will give the US firmware a try. Any idea whether there is anything speaking against this, i.e. using the US firmware on the German camera?

nanomad

  • Administrator
  • Hero Member
  • *****
  • Posts: 2918
  • All your websites are belong to us
Re: Update to 2.3 not working on 600D
« Reply #4 on: September 13, 2012, 11:19:56 AM »
Nothing that I'm aware of. Canon actually has one firmware only IIRC
EOS 1100D | EOS 650 (No, I didn't forget the D) | Ye Olde Canon EF Lenses ('87): 50 f/1.8 - 28 f/2.8 - 70-210 f/4 | EF-S 18-55 f/3.5-5.6 | Metz 36 AF-5

a1ex

  • Administrator
  • Hero Member
  • *****
  • Posts: 12457
Re: Update to 2.3 not working on 600D
« Reply #5 on: September 13, 2012, 11:23:45 AM »
There might tiny differences between them. ML detects the camera by computing a checksum of the firmware.

nanomad

  • Administrator
  • Hero Member
  • *****
  • Posts: 2918
  • All your websites are belong to us
Re: Update to 2.3 not working on 600D
« Reply #6 on: September 13, 2012, 11:27:44 AM »
Well if ML computes the checksum the differences should be in the settings, right? (like default FPS or language)
EOS 1100D | EOS 650 (No, I didn't forget the D) | Ye Olde Canon EF Lenses ('87): 50 f/1.8 - 28 f/2.8 - 70-210 f/4 | EF-S 18-55 f/3.5-5.6 | Metz 36 AF-5

a1ex

  • Administrator
  • Hero Member
  • *****
  • Posts: 12457
Re: Update to 2.3 not working on 600D
« Reply #7 on: September 13, 2012, 11:37:44 AM »
ML does not include the settings area in checksum.

There are some minor revisions to the same firmware (3 more digits), not normally displayed. They can be found in startup code, in strings.

ingoism

  • New to the forum
  • *
  • Posts: 7
Re: Update to 2.3 not working on 600D
« Reply #8 on: September 13, 2012, 07:55:02 PM »
Hello again,

I tried using the firmware from the US site, but ultimately no success. The firmware upgrade went well, with camera working afterwards. But then trying both a new install of ML and an update (with making the card bootable) brought the same results as before. For the new install, the firmware upgrade process does not work, the loading screen flashes and then goes black and only the card light slowly blinking. When inserting a bootable card with ML on, I again get a flashing card light right after I close the slot, without turning the camera on.

I am a bit at a loss what went wrong, I must admit. Do you have any more ideas?

ingoism

a1ex

  • Administrator
  • Hero Member
  • *****
  • Posts: 12457
Re: Update to 2.3 not working on 600D
« Reply #9 on: September 13, 2012, 10:20:32 PM »
Well... I can compile a version without firmware checks, and investigate. You have installed the one from ML links, right?

ingoism

  • New to the forum
  • *
  • Posts: 7
Re: Update to 2.3 not working on 600D
« Reply #10 on: September 14, 2012, 07:25:25 AM »
Yes, I downloaded ML from here: https://bitbucket.org/magiclantern/magic-lantern/downloads/magiclantern-v2.3.550D.60D.600D.50D.500D.5D2.zip, following the link provided on the release notes page.

a1ex

  • Administrator
  • Hero Member
  • *****
  • Posts: 12457
Re: Update to 2.3 not working on 600D
« Reply #11 on: September 14, 2012, 07:40:21 AM »
What about Canon firmware update? (this one has to be from ML links).

ingoism

  • New to the forum
  • *
  • Posts: 7
Re: Update to 2.3 not working on 600D
« Reply #12 on: September 14, 2012, 08:06:12 AM »

a1ex

  • Administrator
  • Hero Member
  • *****
  • Posts: 12457
Re: Update to 2.3 not working on 600D
« Reply #13 on: September 14, 2012, 08:15:49 AM »
After reading again, I think you have the bootflag enabled in the camera.

If you copy ML 2.3 files on the card and make it bootable with EosCard/MacBoot, does it work?

One more thing to try. Can you install 1.0.1 and then upgrade again to 1.0.2? The 2.3 should accept both firmware versions (as they are identical in 600D), so you can try to run 2.3 on 1.0.1.

ingoism

  • New to the forum
  • *
  • Posts: 7
Re: Update to 2.3 not working on 600D
« Reply #14 on: September 14, 2012, 09:17:02 AM »
It is also my feeling that it has to do with the boot flag. But it does not seem consistent.

When I copy ML2.3 to a card made bootable by EOSCard, the camera's card slot light blinks shortly and then flashes continually as soon as I put in the card close the slot.

Is a firmware roll-back on the camera possible? I could try that, the 1.0.2 update was not critical for me anyhow. I only thought I needed it for ML.

ingoism

  • New to the forum
  • *
  • Posts: 7
Solved: Update to 2.3 not working on 600D
« Reply #15 on: September 22, 2012, 06:49:38 PM »
Just a quick feedback that your suggested solution worked. I rolled back to camera firmware 1.0.1 (got it from here: http://www.opendrivers.com/modeldriver/canon_eos%20600d-driver-download.html). Then I copied ML 2.3 files to my SD card and made it bootable using EOSCard. Then inserted the card again, powered up the camera and...everything was fine! Camera works, ML works.

This might indeed be a general issue with the 600D's 1.0.2 update. At least I found a similar discussion on a German forum (http://www.dslr-forum.de/showthread.php?s=852d2d7eb3f65286f11c202b39af3046&t=989495) with the same solution: roll-back to 1.0.1 and ML 2.3 worked.

So a big thanks to a1ex and also nanomad for your help!

Meethyl Mogare

  • Just arrived
  • *
  • Posts: 1
Re: Solved: Update to 2.3 not working on 600D
« Reply #16 on: February 18, 2013, 02:32:41 PM »
SEND ME LINK OF ML DOWNLOAD FOR EOS 600D.
IS IT TOTALY SECURED FOR CAMERA.?
ANY DAMAGE OCUURED BY ML 2.3 FOR MY CAMERA SOFTWARE AND FIRMWARE..?
meethyl76ers@gmail.com

Francis

  • Hero Member
  • *****
  • Posts: 818
Re: Solved: Update to 2.3 not working on 600D
« Reply #17 on: February 18, 2013, 02:58:34 PM »
SEND ME LINK OF ML DOWNLOAD FOR EOS 600D.
IS IT TOTALY SECURED FOR CAMERA.?
ANY DAMAGE OCUURED BY ML 2.3 FOR MY CAMERA SOFTWARE AND FIRMWARE..?
meethyl76ers@gmail.com

CLICK THE DOWNLOAD LINK AT THE TOP OF THIS PAGE